package com.yc.ship.module.trade.job;

import com.yc.ship.framework.quartz.core.handler.JobHandler;
import com.yc.ship.framework.tenant.core.aop.TenantIgnore;
import com.yc.ship.framework.tenant.core.job.TenantJob;
import com.yc.ship.module.trade.service.smsSendconfig.SmsSendconfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class OrderDownSmsOneJob  implements JobHandler {
    @Resource
    private SmsSendconfigService smsSendconfigService;

    @Override
    @TenantIgnore
    public String execute(String s){
        log.info(">>>>>>>>>>>>>>>>>>>>>> OrderDownSmsOneJob Begin <<<<<<<<<<<<<<<<<<<<<<");
        try {
            smsSendconfigService.upSmsSendMsg(2,"SMS_505150033",1);
        } catch (Exception e) {
            log.error(">>>>>>>>>>>>>>>>>>>>>> OrderDownSmsOneJob Error <<<<<<<<<<<<<<<<<<<<<<");
            log.error(e.getMessage(), e);
        }
        log.info(">>>>>>>>>>>>>>>>>>>>>>  OrderDownSmsOneJob End  <<<<<<<<<<<<<<<<<<<<<<");
        return "成功";
    }
}
